Filter

Bootstrap Filter plugin

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

MD Bootstrap Filter plugin is an extension perfect for introducing vistors to a number of images, which can be freely filtered depending on the category. Easy to use, setup and customize.

To start working with filter plugin see "Getting Started" tab on this page.


Basic example

        
            
        <div class="filter filter-basic">
          <div class="filter-nav">
            <button class="btn btn-success active" data-filter="">All</button>
            <button class="btn btn-primary" data-filter="nature">Nature</button>
            <button class="btn btn-primary" data-filter="food">Food</button>
            <button class="btn btn-primary" data-filter="architecture">Architecture</button>
          </div>
          <div class="filter-gallery">
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(30).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(1).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(42).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(2).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(114).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(4).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(6).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(115).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(44).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(5).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(45).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(46).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(47).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(111).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(3).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(112).webp" alt="image">
              </div>
            </div>
          </div>
        </div>
      
        
    
        
            
        $('.filter-basic').mdbFilter();
      
        
    

For Safari browser please include Web Animations API on Your page.

<script src="https://cdnjs.cloudflare.com/ajax/libs/web-animations/2.3.1/web-animations.min.js"></script>


Draggable gallery

        
            
        <div class="filter filter-draggable">
          <div class="filter-nav">
            <button class="btn btn-success active" data-filter="">All</button>
            <button class="btn btn-primary" data-filter="nature">Nature</button>
            <button class="btn btn-primary" data-filter="food">Food</button>
            <button class="btn btn-primary" data-filter="architecture">Architecture</button>
          </div>
          <div class="filter-gallery">
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(30).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(1).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(42).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(2).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(114).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(4).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(6).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(115).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(44).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(5).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(45).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(46).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(47).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(111).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(3).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(112).webp" alt="image">
              </div>
            </div>
          </div>
        </div>
      
        
    
        
            
        $('.filter-draggable').mdbFilter({
          draggable: true
        });
      
        
    

Draggable gallery with mixed content (filled gaps)

        
            
        <div class="filter filter-fillgaps">
          <div class="filter-nav">
            <button class="btn btn-success active" data-filter="">All</button>
            <button class="btn btn-primary" data-filter="nature">Nature</button>
            <button class="btn btn-primary" data-filter="food">Food</button>
            <button class="btn btn-primary" data-filter="architecture">Architecture</button>
            <button class="btn btn-primary" data-filter="people">People</button>
          </div>
          <div class="filter-gallery">
            <div class="item" data-category="people">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(60).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(1).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(30).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(42).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(2).webp" alt="image">
              </div>
            </div>
            <div class="item item-panoramic" data-category="people">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(70).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="people">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(63).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(114).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(4).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(6).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(115).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(44).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(5).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(45).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(46).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="food">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(47).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(111).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="architecture">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(3).webp" alt="image">
              </div>
            </div>
            <div class="item" data-category="nature">
              <div class="item-content">
                <img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(112).webp" alt="image">
              </div>
            </div>
          </div>
        </div>
      
        
    
        
            
        $('.filter-fillgaps').mdbFilter({
          draggable: true,
          fillGaps: true
        });
      
        
    

Filter - getting started : download & setup


Download

This plugin requires a purchase.

Buy Filter plugin

Installation tutorial

Note: The video below shows a different plugin, but it does not matter. The installation process is the same for all plugins.

Vue Filter

Vue Filter Plugin - Bootstrap 4 & Material Design.

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap Filter plugin is an extension perfect for introducing vistors to a number of images, which can be freely filtered depending on the category. Easy to use, setup and customize.


Basic example

        
            
        <template>
          <mdb-filter :data="filter" :col="4" />
          
        
    
        
            
          <script>
            import mdbFilter from 'mdbfilter';
  
            export default {
              name: 'app',
              components: {
                mdbFilter,
              },
              data() {
                return {
                  filter: [{
                      category: 'landscape',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(30).webp"
                    },
                    {
                      category: 'architecture',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(1).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(42).webp"
                    },
                    {
                      category: 'architecture',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(2).webp"
                    },
                    {
                      category: 'landscape',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(114).webp"
                    },
                    {
                      category: 'architecture',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(4).webp"
                    },
                    {
                      category: 'architecture',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(6).webp"
                    },
                    {
                      category: 'landscape',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(115).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(44).webp"
                    },
                    {
                      category: 'architecture',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(5).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(45).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(46).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(47).webp"
                    },
                    {
                      category: 'landscape',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(111).webp"
                    },
                    {
                      category: 'architecture',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(3).webp"
                    },
                    {
                      category: 'landscape',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(112).webp"
                    },
                  ],
                }
              }
            }
          </script>
          
        
    

Draggable gallery

Add property drag to enable dragging elements.

        
            
        <template>
          <mdb-filter :data="gallery" drag primary-color="#4B515D" secondary-color="#eceff1" />
          
        
    
        
            
          <script>
            import mdbFilter from 'mdbfilter';
  
            export default {
              name: 'app',
              components: {
                mdbFilter,
              },
              data() {
                return {
                  gallery: [{
                      category: 'landscape',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(30).webp"
                    },
                    {
                      category: 'architecture',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(1).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(42).webp"
                    },
                    {
                      category: 'architecture',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(2).webp"
                    },
                    {
                      category: 'landscape',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(114).webp"
                    },
                    {
                      category: 'architecture',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(4).webp"
                    },
                    {
                      category: 'architecture',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(6).webp"
                    },
                    {
                      category: 'landscape',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(115).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(44).webp"
                    },
                    {
                      category: 'architecture',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(5).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(45).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(46).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(47).webp"
                    },
                    {
                      category: 'landscape',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(111).webp"
                    },
                    {
                      category: 'architecture',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(3).webp"
                    },
                    {
                      category: 'landscape',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(112).webp"
                    }
                  ],
                }
              }
            }
          </script>
          
        
    

Draggable gallery with masonry layout

        
            
        <template>
          <mdb-filter :data="masonry" drag :col="5" primary-color="#880e4f" />
          
        
    
        
            
          <script>
            import mdbFilter from 'mdbfilter';
  
            export default {
              name: 'app',
              components: {
                mdbFilter,
              },
              data() {
                return {
                  masonry: [{
                      category: 'models',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(60).webp"
                    },
                    {
                      category: 'buildings',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(1).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(42).webp"
                    },
                    {
                      category: 'nature',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(30).webp"
                    },
                    {
                      category: 'buildings',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(2).webp"
                    },
                    {
                      category: 'models',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(65).webp"
                    },
                    {
                      category: 'models',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(63).webp"
                    },
                    {
                      category: 'nature',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(114).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(41).webp"
                    },
                    {
                      category: 'buildings',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(6).webp"
                    },
                    {
                      category: 'nature',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(115).webp"
                    },
                    {
                      category: 'models',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(64).webp"
                    },
                    {
                      category: 'buildings',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(5).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(45).webp"
                    },
                    {
                      category: 'food',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(46).webp"
                    },
                    {
                      category: 'nature',
                      src: "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(111).webp"
                    }
                  ],
                }
              }
            }
          </script>
          
        
    

Filter - getting started : download & setup


Download

This plugin requires a purchase.

Buy Filter plugin

Props

Name Type Default Description Example
data Array Array of objects which provides category and source for gallery images. A source link to full resolution is optional. <mdb-filter :data="data">
drag Boolean Enables dragging elements. <mdb-filter :data="data" drag>
primary-color String #4285F4 Determines color of an active button's background. <mdb-filter :data="data" primary-color="black">
secondary-color String white Determines color of buttons' background. <mdb-filter :data="data" secondary-color="blue">
masonry Boolean false Allows to create layout from images with mixed height values <mdb-filterY>
col Number 4 Sets number of columns for a desktop view.. <mdb-filter :data="data" :col="3">

React Bootstrap Filter

React Filter - Bootstrap 4 & Material Design

React MDBootstrap MD Bootstrap Filter plugin is an extension perfect for introducing vistors to a number of images, which can be freely filtered depending on the category. Easy to use, setup and customize.

Basic example

        
            
        import React from "react";
        import MDBFilter from "mdb-react-filter";
        
        const App = () => {
          const galleryItems = [
            {
              tag: "nature",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(30).webp",
            },
            {
              tag: "architecture",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(1).webp",
            },
            {
              tag: "food",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(42).webp",
            },
            {
              tag: "architecture",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(2).webp",
            },
            {
              tag: "nature",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(114).webp",
            },
            {
              tag: "architecture",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(4).webp",
            },
            {
              tag: "architecture",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(6).webp",
            },
            {
              tag: "nature",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(115).webp",
            },
            {
              tag: "food",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(44).webp",
            },
            {
              tag: "architecture",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(5).webp",
            },
            {
              tag: "food",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(45).webp",
            },
            {
              tag: "food",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(46).webp",
            },
            {
              tag: "food",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(47).webp",
            },
            {
              tag: "nature",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(111).webp",
            },
            {
              tag: "architecture",
              imgSrc:
                "https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(3).webp",
            },
          ];
        
          const gutterWidth = 15;
          const gutterHeight = 15;
        
          return (
            <div>
              <MDBFilter
                gutterWidth={gutterWidth}
                gutterHeight={gutterHeight}
                categories={["nature", "architecture", "food"]}
              >
                {galleryItems.map((photo) => (
                  <img
                    key={photo.imgSrc}
                    data-filter={photo.tag}
                    src={photo.imgSrc}
                    alt=""
                    className="animated zoomIn faster"
                  />
                ))}
              </MDBFilter>
            </div>
          );
        };
        
        export default App;
            
        
        
    

Filter - getting started : download & setup


Download

This plugin requires a purchase.

Buy filter plugin

React Filter - API

In this section you will find advanced information about the MDBFilter component.


MDBFilter import statement

In order to use MDBFilter component make sure you have imported proper module first.

        
            
      import MDBFilter from 'mdb-react-filter';
      
        
    
        
            
      "mdbreact": "^4.15.0",
      "react-router-dom": "^5.0.1"
      
        
    

API Reference: Filter Properties

The table below shows the configuration options of the MDBFilter component.

Name Type Default Description Example
categories Array(String) Sets categoris of the images <MDBFilter categories=["Nature", "Architecture",...] ... />
columnWidth Number 200 Sets width of the columns <MDBFilter columnWidth={200} ... />
columns Number 5 Sets number of columns <MDBFilter columns={5} ... />
duration Number 300 Sets duration of animation <MDBFilter duration={300} ... />
easing String ease-out Sets type of animation <MDBFilter easing="ease-out" ... />
gutterWidth Number 15 Sets vertical gutter <MDBFilter gutterWidth={15} ... />
gutterHeight Number 15 Sets horizontal gutter <MDBFilter gutterHeight={15} ... />
itemHeight Number 150 Sets Height of the elements <MDBFilter itemHeight={150} ... />
lightbox Boolean False Enables click on the image to open it <MDBFilter lightbox ... />
responsive Boolean True Makes gallery responsive <MDBFilter responsive ... />

Angular Bootstrap Filter
Angular Filter - Bootstrap 4 & Material Design
Note: This documentation is for an older version of Bootstrap (v.4). A
newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for
Bootstrap 5.
Go to docs v.5
The MDB Angular Bootstrap Gallery Filter plugin is an extension that is perfect for introducing visitors to a number of images, which can be freely filtered depending on the category. It's easy to use, setup and customize.
To start working with filter plugin see the "Getting Started" tab on this page.
Basic example
.webp)
.webp)
.webp)
.webp)
.webp)
.webp)
.webp)
.webp)
.webp)
.webp)
.webp)
.webp)
.webp)
.webp)
.webp)
.webp)
<mdb-filter>
<div class="filter-nav d-flex flex-center">
<button mdbBtn color="success" class="active" [mdbFilter]="''">All</button>
<button mdbBtn color="primary" [mdbFilter]="'nature'">Nature</button>
<button mdbBtn color="primary" [mdbFilter]="'food'">Food</button>
<button mdbBtn color="primary" [mdbFilter]="'architecture'">Architecture</button>
</div>
<mdb-filter-content>
<div class="container">
<div class="row">
<div class="col-md-3 my-1" mdbFilter *ngFor="let item of galleryItems">
<mdb-filter-item class="item" [mdbFilterItem]="item.tag"
[animationClass]="['animated', 'zoomIn', 'faster']">
<img [src]="item.imgSrc" alt="image">
</mdb-filter-item>
</div>
</div>
</div>
</mdb-filter-content>
</mdb-filter>
import {Component} from '@angular/core';
@Component({
selector: 'gallery-filter',
templateUrl: './gallery-filter.component.html',
styleUrls: ['./gallery-filter.component.scss']
})
export class GalleryFilterComponent {
galleryItems = [
{ tag: 'nature', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(30).webp' },
{ tag: 'architecture', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(1).webp' },
{ tag: 'food', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(42).webp' },
{ tag: 'architecture', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(2).webp' },
{ tag: 'nature', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(114).webp' },
{ tag: 'architecture', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(4).webp' },
{ tag: 'architecture', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(6).webp' },
{ tag: 'nature', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(115).webp' },
{ tag: 'food', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(44).webp' },
{ tag: 'architecture', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(5).webp' },
{ tag: 'food', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(45).webp' },
{ tag: 'food', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(46).webp' },
{ tag: 'food', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(47).webp' },
{ tag: 'nature', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(111).webp' },
{ tag: 'architecture', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(3).webp' },
{ tag: 'nature', imgSrc: 'https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(112).webp' }
];
}
Installation guide
Step 1: Create a new Angular application using the Angular CLI command:
ng new application-name --style=scss --routing=false
Step 2: Download this plugin from your user dashboard
Step 3: Extract the downloaded archive from Step 2 and copy the mdb-filter-{version-number}.tgz
file to your application root directory
Step 4: Install the mdb-filter-{version-number}.tgz
package in your application by executing the below command in the application's terminal:
npm install mdb-filter-{version-number.tgz} --save
For example, the installation command should look like the following: npm install mdb-filter-8.0.0.tgz --save
Step 5: Follow the Quickstart Guide to add MDB Angular Free or MDB Angular Pro (depending on which version you're using) to the application
Step 6: Import the MdbFilterModule
into the app.module.ts
file
Step 7: Copy the basic example from this site and enjoy your new plugin!
Step 1: Download this plugin from your user dashboard
Step 2: Extract the downloaded archive from Step 1 and copy the mdb-filter-{version-number}.tgz
file to your application root directory
Step 3: Install the mdb-filter-{version-number}.tgz
package in your application by executing the below command in the application's terminal:
npm install mdb-filter-{version-number.tgz} --save
For example, the installation command should look like the following: npm install mdb-filter-8.0.0.tgz --save
Step 4: Follow the Quickstart Guide to add MDB Angular Free or MDB Angular Pro (depending on which version you're using) to the application
Step 5: Import the MdbFilterModule
into the app.module.ts
file
Step 6: Copy the basic example from this site and enjoy your new plugin!
Angular Filter - API
Download
This plugin requires a purchase.
Buy Filter plugin
Modules used
In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.
import { MdbFilterModule } from 'mdb-filter';
Directives
MdbFilterDirective
Selector: mdbFilter
Type: MdbFilterDirective
MdbFilterItemDirective
Selector: mdbFilterItem
Type: MdbFilterItemDirective
Components
MdbFilterItemComponent
Selector: mdb-filter-item
Type: MdbFilterItemComponent
Inputs
MdbFilterDirective
Name | Type | Default | Description | Example |
---|---|---|---|---|
mdbFilterDirective |
string | ' ' | Used with directive attribute binding to set the tag for filtering. | [mdbFilter]="'nature'" |
MdbFilterItemDirective
Name | Type | Default | Description | Example |
---|---|---|---|---|
mdbFilterItem |
string | - | Used with directive attribute binding to set the data-filter-item attribute on the mdb-filter-item component. This input is necessary. |
[mdbFilterItem]="item.tag" |
MdbFilterItemComponent
Name | Type | Default | Description | Example |
---|---|---|---|---|
animationClass |
string | 'animated zoomIn faster' | Used to set the MDB Animation on the filter items. Set to empty string if you want to turn off animations. | [animationClass]="['animated', 'zoomIn', 'faster']" |